CANVAS_REGISTER_PRECOMPUTE_FUNC(3)

EXPERIMENTAL_FUNC
canvas_register_precompute_func - Register a refresh precompute callback.

SYNOPSIS
#include <karma_canvas.h>

KCallbackFunc canvas_register_precompute_func

(KWorldCanvas canvas, void (*precompute_func) (), void *info)

DESCRIPTION
This routine will register a refresh precompute function for a workd canvas. The refresh precompute function will be called whenever the contents of the canvas need to be redrawn, prior to any drawing operations commencing. The callback must not perform any drawing operations: any drawing operations may be performed by the ordinary refresh callbacks. Many precompute functions may be registered per canvas. The first function registered is the first function called upon refresh.

canvas
    The world canvas.

func
    The function that is called when the canvas is to be refreshed. The prototype function is <-canvas_PROTO_precompute_func->.

info
    The initial arbitrary canvas information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/